Loading...
Searching...
No Matches
msg_util.h

Go to the source code of this file.

## Classes

struct | select1st< T1, T2 >
struct | select2nd< T1, T2 >
struct | always_true< T >
class | index_iterator< Size, Distance >
struct | first_op< Pair >
struct | second_op< Pair >
struct | pair_identity< Pair1, Pair2 >
class | apply_iterator< Iterator, Operator >
struct | is_class_reference< T >
struct | is_container< T >
struct | is_container_of_mpi_datatype< T >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_generic_set_xxx_op(NAME, OP)
#define | _RHEOLEF_generic_set_xxx_op(NAME, FUN)

## Functions

template<class Iterator, class Operator>
apply_iterator< Iterator, Operator > | make_apply_iterator (Iterator i, Operator op)
template<class InputIterator, class OutputIterator>
OutputIterator | msg_pair_copy (InputIterator input, InputIterator last, OutputIterator result)
| _RHEOLEF_generic_set_xxx_op (generic_set_op,=) _RHEOLEF_generic_set_xxx_op(generic_set_plus_op

## Macro Definition Documentation

## _RHEOLEF_generic_set_xxx_op [1/2]

#define _RHEOLEF_generic_set_xxx_op | ( |  | NAME,
|  |  | OP )

Definition at line 149 of file msg_util.h.

## _RHEOLEF_generic_set_xxx_op [2/2]

#define _RHEOLEF_generic_set_xxx_op | ( |  | NAME,
|  |  | FUN )

Value:
struct NAME { \
template <class T1, class T2> \
typename std::enable_if< \
std::is_convertible<T1,T2>::value \
,T2&>::type \
operator() (T2& x, const T1& y) const { return x = FUN(x,T2(y)); } \
};

Definition at line 149 of file msg_util.h.